<?php
$db->exec("ALTER TABLE products ADD multiple_sale INT DEFAULT(0)");
$db->exec("CREATE TABLE taps (id INTEGER PRIMARY KEY AUTOINCREMENT UNIQUE, title VARCHAR UNIQUE, product_title VARCHAR, mark VARCHAR, volume DOUBLE, expiration INTEGER, connection_time INTEGER, connection INTEGER DEFAULT (0))");
$db->exec("CREATE INDEX taps_mark ON taps (mark)");
$db->exec("CREATE TABLE tapsproducts (tap_id INTEGER, product_id INTEGER)");
$db->exec("CREATE INDEX tap_id ON tapsproducts (tap_id)");
$db->exec("CREATE INDEX tapsproduct_id ON tapsproducts (product_id)");
$db->exec("CREATE UNIQUE INDEX tapproduct ON tapsproducts (tap_id, product_id)");
$db->exec("CREATE INDEX connection ON taps (connection)");